Skip to main content
aboutsummaryrefslogtreecommitdiffstats
path: root/tools
diff options
context:
space:
mode:
authorMatthias Sohn2013-06-13 15:16:41 +0000
committerMatthias Sohn2013-06-13 15:21:11 +0000
commitfa3f290c8a3c062cc4a6f0c600935d514404df96 (patch)
tree46549c89f2db66b22bb488a7b7f6177afca609e8 /tools
parent0450cd8a6b353a57fb0263107328046c162174e3 (diff)
downloadegit-fa3f290c8a3c062cc4a6f0c600935d514404df96.tar.gz
egit-fa3f290c8a3c062cc4a6f0c600935d514404df96.tar.xz
egit-fa3f290c8a3c062cc4a6f0c600935d514404df96.zip
Fix version.sh to correctly modify dependencies
The script missed to update the egit and jgit feature dependencies in o.e.e.mylyn.ui.test/pom.xml when setting a new snapshot version. Change-Id: I8fd22f51d7e7ab162891cabe448495f1aa46da2c Signed-off-by: Matthias Sohn <matthias.sohn@sap.com>
Diffstat (limited to 'tools')
-rwxr-xr-xtools/version.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/tools/version.sh b/tools/version.sh
index a4a9e35976..49e6335b51 100755
--- a/tools/version.sh
+++ b/tools/version.sh
@@ -190,6 +190,22 @@ perl -pi~ -e '
perl -pi~ -e '
if ($ARGV ne $old_argv) {
$seen_version = 0;
+ $seen_version2 = 0;
+ $old_argv = $ARGV;
+ }
+ if (!$seen_version) {
+ $seen_version = 1 if
+ s{<(version)>[^<\$]*</\1>}{<${1}>'"$POM_V"'</${1}>};
+ }
+ if ($seen_version2 < 3) {
+ $seen_version2++ if
+ s|(<version\>)([\.\d]*)(\</version\>)|${1}'$EGIT_V'${3}|;
+ }
+ ' org.eclipse.egit.mylyn.ui.test/pom.xml
+
+perl -pi~ -e '
+ if ($ARGV ne $old_argv) {
+ $seen_version = 0;
$old_argv = $ARGV;
}
if (!$seen_version) {

Back to the top